#include <stdio.h>
#include <string.h>		// strlen()
#include <unistd.h>		// read, write
#include <fcntl.h>		// open, close, O_RDWR, O_NONBLOCK
#include <pthread.h>
#include <sys/poll.h>
#include "seedcore_api.h"

#define BUFF_SIZE 2048
//#define BUFF_SIZE (1048*80)

void *send_thread(void *arg)
{
	unsigned int buff[BUFF_SIZE];
        unsigned int i = 0;
        unsigned int pattern = 0;
	int ret = 0;

	for( i=0; i < BUFF_SIZE ; i++) {
                buff[i] = pattern;
                pattern++;
        }

	ret = sfpdp_send( 0, buff, 2048);

	printf("send ret %d \n", ret);

#if 0
	for(i=500; i<520; i++) {
		if( (i%10) == 0 ) printf("\n");
		printf("%d[%d]  ", i, buff[i]);
	}
#endif

//	getchar();

//	sfpdp_send( 0, buff, 20480);

	printf("\n\nsend fin \n");
	return NULL;
}


int main(int argc, char **argv)
{
	unsigned int buff[550];
	unsigned int i = 0;
	unsigned int pattern = 0;
	int ret;

	pthread_t p_send;
	int iSendThreadID;

	sfpdp_init();

	iSendThreadID = pthread_create(&p_send, NULL, send_thread, (NULL));

	memset(buff, 0, 2048);
//	printf("5124[%d] 5125[%d]  \n", buff[5124], buff[5125]);

//	sleep(1);
//	ret = sfpdp_recv(1, buff, 20);
//	printf("ret = %d\n", ret);
//	sfpdp_recv(1, buff, 20556, 10000);
#if 0
	for(i=0; i<10; i++)
	{
		if( (i%10) == 0 )
			printf("\n");
		printf("%d[%d]  ", i, buff[i]);
	}
#endif
	printf("\n");

	ret = sfpdp_recv(1, buff, 2048);

	printf("recv ret = %d\n", ret);

	for(i=500; i<520; i++)
	{
		if( (i%10) == 0 ) printf("\n");
		printf("%d[%d]  ", i, buff[i]);
	}

	printf("\n");
	printf("\n");
#if 0
	ret = sfpdp_recv(1, buff, 20540);
	for(i=5130; i<5150; i++) {
		if( (i%10) == 0 ) printf("\n");
		printf("%d[%d]  ", i, buff[i]);
	}
#endif
	printf("\n");

	pthread_join(p_send, NULL);
	return 0;
}

