#include <stdio.h>
#include <string.h>		// strlen()
#include <unistd.h>		// read, write
#include <fcntl.h>		// open, close, O_RDWR, O_NONBLOCK
#include <sys/types.h>
#include <sys/ioctl.h>
#include <linux/types.h>
#include "my_ioctl.h"

int main()
{
	int fd;
	PCIDRV_INFO pi;
	unsigned long timeout;
	int i;
	int offset = 0;
	int reg = 0;


	if (0 < (fd = open ("/dev/pcidrv3", O_RDWR | O_SYNC)))
	{
		while(1)
		{
			printf("*****************************************\n");

			for(i=0; i<4; i++)
			{
				pi.addr = 0x50000 + (0x10000*i) + 0x28;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC RX CRC Error Count %d\n", i, pi.val);
			}

			printf("*****************************************\n");
			sleep(1);
		}

		close(fd);
		printf("***close()\n");

	} else 
		printf("open fail \n");



	return 0;
}
