#ifndef __SEEDCORE_API__
#define __SEEDCORE_API__

#define HDLC_DEV_NAME	"schdlc"
#define NUM_OF_HDLC_CHS	4
#define BUFSIZE 2000


#define SBC624_GPIO_RESET (0x0000)
#define SBC624_GPIO_PIN_0 (0x0001)
#define SBC624_GPIO_PIN_1 (0x0002)
#define SBC624_GPIO_PIN_2 (0x0004)
#define SBC624_GPIO_PIN_3 (0x0008)
#define SBC624_GPIO_PIN_4 (0x0010)
#define SBC624_GPIO_PIN_5 (0x0020)
#define SBC624_GPIO_PIN_6 (0x0040)
#define SBC624_GPIO_PIN_7 (0x0080)


extern int scGpioInit();
extern int scGpioSet();
extern int scGpioClose();
extern void scGpioSetHigh6();
extern void scGpioSetHigh7();
extern void scGpioSetLow6();
extern void scGpioSetLow7();

int sdlc_send(int ch, unsigned int* buf, int size);
int sdlc_recv_single(int ch, unsigned int* buf, int size);
int sdlc_recv(int ch, unsigned int* buf, int size);
int sdlc_init();
int sdlc_close();

#endif
