#include <stdio.h>
#include <string.h>		// strlen()
#include <unistd.h>		// read, write
#include <fcntl.h>		// open, close, O_RDWR, O_NONBLOCK
#include <sys/types.h>
#include <sys/ioctl.h>
#include <linux/types.h>
#include "my_ioctl.h"

int main()
{
	int fd;
	PCIDRV_INFO pi;
	unsigned long timeout;
	int i;
	int offset = 0;
	int reg = 0;
	unsigned int count = 1;


	if( 0 < (fd = open ("/dev/schdlc3", O_RDWR | O_SYNC)) )
	{
		while( count < 10 )
		{
			printf("[%d] \n", count);
			printf("*****************************************\n");

			for(i=0; i<4; i++)
			{
				pi.addr = 0x50000 + (0x10000*i) + 0x08;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] TX Packet Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x0C;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] RX Packet Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x10;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] TX Byte Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x14;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] RX Byte Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x18;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC TX Packet Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x1C;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC TX Byte Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x20;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC RX Packet Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x24;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC RX Byte Count %d\n", i, pi.val);

				pi.addr = 0x50000 + (0x10000 * i) + 0x28;
				ioctl(fd, IOCTL_GET_REG, &pi);
				printf("ch[%d] SDLC RX CRC Error Count %d\n\n", i, pi.val);
			}

			printf("*****************************************\n\n");
			count++;
			sleep(1);
		}

		close(fd);
		printf("***close()\n");

	} else 
		printf("open fail \n");

	return 0;
}

